<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:06 AEST 2019 -->
<title>AsyncCommandBuilder (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AsyncCommandBuilder (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/command/util/CommandPermissions.html" title="annotation in com.sk89q.worldedit.command.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" target="_top">Frames</a></li>
<li><a href="AsyncCommandBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.command.util</div>
<h2 title="Class AsyncCommandBuilder" class="title">Class AsyncCommandBuilder&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.command.util.AsyncCommandBuilder&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">AsyncCommandBuilder&lt;T&gt;</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>com.google.common.util.concurrent.ListenableFuture&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html#buildAndExec-com.google.common.util.concurrent.ListeningExecutorService-">buildAndExec</a></span>(com.google.common.util.concurrent.ListeningExecutorService&nbsp;executor)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html#onFailure-com.sk89q.worldedit.util.formatting.text.Component-com.sk89q.worldedit.internal.command.exception.ExceptionConverter-">onFailure</a></span>(com.sk89q.worldedit.util.formatting.text.Component&nbsp;message,
         <a href="../../../../../com/sk89q/worldedit/internal/command/exception/ExceptionConverter.html" title="interface in com.sk89q.worldedit.internal.command.exception">ExceptionConverter</a>&nbsp;exceptionConverter)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html#onFailure-java.lang.String-com.sk89q.worldedit.internal.command.exception.ExceptionConverter-">onFailure</a></span>(java.lang.String&nbsp;message,
         <a href="../../../../../com/sk89q/worldedit/internal/command/exception/ExceptionConverter.html" title="interface in com.sk89q.worldedit.internal.command.exception">ExceptionConverter</a>&nbsp;exceptionConverter)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html#onSuccess-com.sk89q.worldedit.util.formatting.text.Component-java.util.function.Consumer-">onSuccess</a></span>(com.sk89q.worldedit.util.formatting.text.Component&nbsp;message,
         java.util.function.Consumer&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;&nbsp;consumer)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html#onSuccess-java.lang.String-java.util.function.Consumer-">onSuccess</a></span>(java.lang.String&nbsp;message,
         java.util.function.Consumer&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;&nbsp;consumer)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html#registerWithSupervisor-com.sk89q.worldedit.util.task.Supervisor-java.lang.String-">registerWithSupervisor</a></span>(<a href="../../../../../com/sk89q/worldedit/util/task/Supervisor.html" title="interface in com.sk89q.worldedit.util.task">Supervisor</a>&nbsp;supervisor,
                      java.lang.String&nbsp;description)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html#sendMessageAfterDelay-java.lang.String-">sendMessageAfterDelay</a></span>(java.lang.String&nbsp;message)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static &lt;T&gt;&nbsp;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;T&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html#wrap-java.util.concurrent.Callable-com.sk89q.worldedit.extension.platform.Actor-">wrap</a></span>(java.util.concurrent.Callable&lt;T&gt;&nbsp;callable,
    <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;sender)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="wrap-java.util.concurrent.Callable-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>wrap</h4>
<pre>public static&nbsp;&lt;T&gt;&nbsp;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;T&gt;&nbsp;wrap(java.util.concurrent.Callable&lt;T&gt;&nbsp;callable,
                                              <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;sender)</pre>
</li>
</ul>
<a name="registerWithSupervisor-com.sk89q.worldedit.util.task.Supervisor-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerWithSupervisor</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;&nbsp;registerWithSupervisor(<a href="../../../../../com/sk89q/worldedit/util/task/Supervisor.html" title="interface in com.sk89q.worldedit.util.task">Supervisor</a>&nbsp;supervisor,
                                                     java.lang.String&nbsp;description)</pre>
</li>
</ul>
<a name="sendMessageAfterDelay-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendMessageAfterDelay</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;&nbsp;sendMessageAfterDelay(java.lang.String&nbsp;message)</pre>
</li>
</ul>
<a name="onSuccess-com.sk89q.worldedit.util.formatting.text.Component-java.util.function.Consumer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSuccess</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;&nbsp;onSuccess(@Nullable
                                        com.sk89q.worldedit.util.formatting.text.Component&nbsp;message,
                                        @Nullable
                                        java.util.function.Consumer&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;&nbsp;consumer)</pre>
</li>
</ul>
<a name="onSuccess-java.lang.String-java.util.function.Consumer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSuccess</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;&nbsp;onSuccess(@Nullable
                                        java.lang.String&nbsp;message,
                                        @Nullable
                                        java.util.function.Consumer&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;&nbsp;consumer)</pre>
</li>
</ul>
<a name="onFailure-com.sk89q.worldedit.util.formatting.text.Component-com.sk89q.worldedit.internal.command.exception.ExceptionConverter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onFailure</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;&nbsp;onFailure(@Nullable
                                        com.sk89q.worldedit.util.formatting.text.Component&nbsp;message,
                                        @Nullable
                                        <a href="../../../../../com/sk89q/worldedit/internal/command/exception/ExceptionConverter.html" title="interface in com.sk89q.worldedit.internal.command.exception">ExceptionConverter</a>&nbsp;exceptionConverter)</pre>
</li>
</ul>
<a name="onFailure-java.lang.String-com.sk89q.worldedit.internal.command.exception.ExceptionConverter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onFailure</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="class in com.sk89q.worldedit.command.util">AsyncCommandBuilder</a>&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;&nbsp;onFailure(@Nullable
                                        java.lang.String&nbsp;message,
                                        @Nullable
                                        <a href="../../../../../com/sk89q/worldedit/internal/command/exception/ExceptionConverter.html" title="interface in com.sk89q.worldedit.internal.command.exception">ExceptionConverter</a>&nbsp;exceptionConverter)</pre>
</li>
</ul>
<a name="buildAndExec-com.google.common.util.concurrent.ListeningExecutorService-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>buildAndExec</h4>
<pre>public&nbsp;com.google.common.util.concurrent.ListenableFuture&lt;<a href="../../../../../com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" title="type parameter in AsyncCommandBuilder">T</a>&gt;&nbsp;buildAndExec(com.google.common.util.concurrent.ListeningExecutorService&nbsp;executor)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/command/util/CommandPermissions.html" title="annotation in com.sk89q.worldedit.command.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/command/util/AsyncCommandBuilder.html" target="_top">Frames</a></li>
<li><a href="AsyncCommandBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
